Loading...
Searching...
No Matches
des.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | AVDES

## Functions

AVDES * | av_des_alloc (void)
| Allocate an AVDES context.
int | av_des_init (struct AVDES *d, const uint8_t *key, int key_bits, int decrypt)
| Initializes an AVDES context.
void | av_des_crypt (struct AVDES *d, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypts / decrypts using the DES algorithm.
void | av_des_mac (struct AVDES *d, uint8_t *dst, const uint8_t *src, int count)
| Calculates CBC-MAC using the DES algorithm.